Topic: libicu69 conflicts when upgrading to FC35

When upgrading from FC34 to FC35, I get a conflict for the libicu69-package:

Error: Transaction test error:
  file /usr/lib64/libicudata.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64
  file /usr/lib64/libicui18n.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64
  file /usr/lib64/libicuio.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64
  file /usr/lib64/libicutest.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64
  file /usr/lib64/libicutu.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64
  file /usr/lib64/libicuuc.so.69.1 from install of libicu-69.1-2.fc35.x86_64 conflicts with file from package libicu69-69.1-1.fc34.remi.x86_64

Enabled and installed is the php:remi-8.0 modular repo.

As far as I can see, the current (FC34) libicu69-package comes from the remi repo, while the upgrade wants to intall libicu69 from the fedora repo:

libicu  x86_64  69.1-2.fc35  fedora  9.8 M

It seems no libicu69 package is available in the FC35 remi repo's, Fedora's own version is conflicting and there's no way to down/upgrade to an FC34 version of this package. So it seems there is a catch-22 going on here.
In another post (closed now) about upgrading to FC35 this was mentioned as issue as well.

Is there a way to fix this, without uninstalling php entirely?

Re: libicu69 conflicts when upgrading to FC35

removing libicu69 (and so php-intl) should allow to upgrade

Thinking to another way....

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: libicu69 conflicts when upgrading to FC35

As composer and phpMyAdmin depend on libicu69, this leads to many additional dependencies being uninstalled.
Not that bad, but not that nice either ;-)

Re: libicu69 conflicts when upgrading to FC35

I uploaded remi-release-35-2.fc35.remi.noarch.rpm in the repository

This new package should take care of libicu69 removal.

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: libicu69 conflicts when upgrading to FC35

After manually forcing to use the main remi repo (as the repo provided by the cdn wasn't updated yet), the upgrade completes successfully this time.
Thanks for your quick support!

Re: libicu69 conflicts when upgrading to FC35

> as the repo provided by the cdn wasn't updated yet

Yes mirrors may take a few hours to be synced.

> After manually forcing to use the main remi repo

Please revert when possible to avoid using the main server wink

> Thanks for your quick support!

smile

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 34 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi